Bug 253043 - Review Request: elftoaout - A utility for converting ELF binaries to a.out binaries
Review Request: elftoaout - A utility for converting ELF binaries to a.out bi...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jima
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 252456
  Show dependency treegraph
 
Reported: 2007-08-16 14:21 EDT by Dennis Gilmore
Modified: 2007-11-30 17:12 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-25 13:03:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
jima: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dennis Gilmore 2007-08-16 14:21:11 EDT
Spec URL: http://ausil.us/packages/elftoaout.spec
SRPM URL: http://ausil.us/packages/elftoaout-2.3-8.fc8.src.rpm
Description: 
The elftoaout utility converts a static ELF binary to a static a.out
binary.  If you're using an ELF system (i.e., Fedora) on a SPARC, you'll
need to run elftoaout on the kernel image so that the SPARC PROM can
netboot the image.

If you're installing Fedora on a SPARC, you'll need to install the elftoaout
package.
Comment 1 Dennis Gilmore 2007-08-16 15:15:01 EDT
update from irc comments 
SRPM: http://ausil.us/packages/elftoaout-2.3-9.fc8.src.rpm
SPEC: http://ausil.us/packages/elftoaout.spec
Comment 2 Jima 2007-08-16 15:42:05 EDT
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
be3bd6f7ba8ae107cbdbaa820ba64f86  elftoaout-2.3.tgz
be3bd6f7ba8ae107cbdbaa820ba64f86  elftoaout-2.3.tgz.1
n/a - BuildRequires correct
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.
OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
OK - No rpmlint output.
OK - final provides and requires are sane:

Requires:
libc.so.6
libc.so.6(GLIBC_2.0)
libc.so.6(GLIBC_2.1)
libc.so.6(GLIBC_2.1.3)
libc.so.6(GLIBC_2.4)
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rtld(GNU_HASH)

Provides:
elftoaout = 2.3-9.fc8


SHOULD Items:

OK - Should build in mock.
See below (#1) - Should build on all supported archs
See below (#2) - Should function as described.
OK - Should have dist tag
OK - Should package latest version
0 bugs - check for outstanding bugs on package.

Notes:
#1: Package is designed for SPARC.  Will it build anywhere else?  Is
there any practical use for it anywhere else?  I won't claim to know.
(However, will we need to file ExclusiveArch bugs?)

#2: As far as I can tell, it works.  It generates the exact same a.out
image as Aurora Corona's elftoaout.  (Not that that's terribly
conclusive...it's a good sign, though.)

I think we're probably good for now.  We might want to look at DaveM's
patch, which is dated 2006-01-03 as opposed to our 2002-06-03-ish patch
(and includes the same and then some), but I don't think it's dire.

I'm calling elftoaout APPROVED.  Pass Go, collect 200 bogomips.

It's amusing to note, by the way, that while this package doesn't have
any open bugs, it does have two closed ones: BZ#446 and BZ#9679.  No,
those numbers aren't typos. :-)
Comment 3 Dennis Gilmore 2007-08-16 16:50:07 EDT
New Package CVS Request
=======================
Package Name: elftoaout
Short Description:  A utility for converting ELF binaries to a.out binaries
Owners: spot, ausil, pjones, jima
Branches: 
InitialCC: 
Commits by cvsextras: yes
Comment 4 Dennis Gilmore 2007-08-16 17:43:38 EDT
cvs done

Note You need to log in before you can comment on or make changes to this bug.